130 Commits (78799a6fdc5a00b3a0e62c0e99c3340298d36eff)

Author SHA1 Message Date
Ludovic Courtès 62bc3c5b04
build: Don't build man pages when cross-compiling. 2 years ago
Ludovic Courtès e688c2df39
build: Require Guile 2.2.3 or later. 2 years ago
Ludovic Courtès 7b2a47a702
build: Allow builds with Guile 3.0. 2 years ago
zimoun c8364ebca8
build: Warn about etc/indent-code.el when Emacs is absent. 2 years ago
Ludovic Courtès 81c3dc3224
maint: Switch to Guile-JSON 3.x. 2 years ago
Pierre Neidhardt fea338c6ca
Add (guix lzlib). 3 years ago
Ludovic Courtès f2d86ed0b3
build: No longer substitute 'LIBGCRYPT'. 3 years ago
Mathieu Othacehe 7d328e341a
configure: Disable installer build by default. 3 years ago
Mathieu Othacehe d0f3a672dc
gnu: Add graphical installer support. 3 years ago
Ludovic Courtès 0991fd5336
build: Require Guile 2.2. 3 years ago
Eric Bavier 6776af04d4
Make Guile-JSON a required dependency. 3 years ago
Ludovic Courtès dde49cfe53
build: Fine-tune the forbidden M4 patterns. 3 years ago
Ludovic Courtès 28f436a904
build: Remove obsolete reference to 'GUIX_ASSERT_LIBGCRYPT_USABLE'. 3 years ago
Ludovic Courtès ca71942445
Switch to Guile-Gcrypt. 3 years ago
Ludovic Courtès e8cb9c01c6
build: Remove checks for 'nix-instantiate'. 4 years ago
Ludovic Courtès c5a2e1ffcb
build: Require Guile-SQLite3. 4 years ago
Ludovic Courtès d59e75f3b5
build: Check for Guile-SQLite3. 4 years ago
Julien Lepiller b9fe8fd662
gnu: doc: Allow documentation to be translated. 4 years ago
Ludovic Courtès 1d84d7bf60
build: Require Guile >= 2.0.13. 4 years ago
Ricardo Wurmus b617a9fe23
etc: Add SELinux policy for the daemon. 4 years ago
Mathieu Lirzin cba386c129
build: Expand ‘scripts/guix’ at Make time. 4 years ago
ng0 b83fc85f9f
etc: Add completions for fish. 4 years ago
Ludovic Courtès 142182514b
build: Detect broken 'equal?' in Guile 2.2.1. 4 years ago
Eric Bavier 05c4e379b7
build: Update automake version requirement to 1.14. 4 years ago
Tobias Geerinckx-Rice a4c1e99ed9
build: Negate ‘--disable-daemon’ help string. 5 years ago
Ludovic Courtès 7441f1dbd7
build: Make Guile-Git a hard requirement. 4 years ago
Ludovic Courtès 1d97fd8cb6
build: Remove check for broken (srfi srfi-37). 4 years ago
Mathieu Othacehe 6b7b3ca981
guix: git: Add new module. 5 years ago
Leo Famulari 40d728a87d
Revert "guix: git: Add new module." 5 years ago
Mathieu Othacehe a70b784708
guix: git: Add new module. 5 years ago
Ludovic Courtès e6860b5e7f
build: Use Gnulib's 'git-version-gen'. 5 years ago
Ludovic Courtès 9437fd7399
build: Install .go files to $libdir/guile/X.Y. 5 years ago
Ludovic Courtès 36626c556e
build: Require Guile >= 2.0.9. 5 years ago
Ludovic Courtès 608e42e7c9
build: Prefer Guile 2.2 over 2.0. 5 years ago
Ludovic Courtès 1dbe3a8db0
build: GnuTLS is now a hard dependency. 5 years ago
Ludovic Courtès d480ed7edb
build: Warn about lack of substitutes for non-standard stores. 5 years ago
Ludovic Courtès 557d9c8d7a
etc: Support indentation of whole files. 5 years ago
Ludovic Courtès 7bb2b10cd0
etc: Add 'indent-package.el' script. 5 years ago
Ludovic Courtès 987a29ba43
Add (guix ssh) module. 5 years ago
Alex Kost deb6276dda
Remove Emacs interface. 5 years ago
Ricardo Wurmus bd6ff5b42b
build: Bump version number. 5 years ago
Ludovic Courtès 301d73f68c
build: 'guilemoduledir' honors $GUILE_EFFECTIVE_VERSION. 5 years ago
Ludovic Courtès 9d126aa2b5
build: Allow builds with Guile 2.2. 5 years ago
Eric Le Bihan 96dbc93089
Add Zsh completion file. 5 years ago
Mark H Weaver 0832787e5c
Revert "Merge branch 'core-updates'" 5 years ago
Ludovic Courtès 455859a50f
Merge branch 'core-updates' 5 years ago
Ludovic Courtès bd883da3e3
build: Bump version number. 5 years ago
Ludovic Courtès 721539026d
Add (guix zlib). 5 years ago
Manolis Ragkousis 875715cabf
build: Remove unneeded conditionals for (guix build syscalls). 6 years ago
Mathieu Lirzin a1097caa6a build: Move environment '.in' scripts to 'build-aux' directory. 6 years ago